//このファイルより先に言語設定ファイル(language_setting.js)を読み込む事

var langObj=$();

// en
langObj[[codeArray[0]]]={
	title       : 'Select your region',
	description : 'Data is saved separately for each selected region.<br>You can play the game in the language of your selected region.<br><br>Data is saved separately for each region and cannot be transferred from one region to another.',
	subtitle	: 'Selected Region: English',
servers:{
	[codeArray[0]]:{
	name:'English'
	},
	[codeArray[1]]:{
	name:'Français'
	},
    [codeArray[2]]:{
    name:'Deutsche'
    }
},
	'popupTitle'		:'Select your region',
	'popupDescription'	:'You selected \"{%s}\".<br>Language will be changed.'
};

// fr
langObj[[codeArray[1]]]={
	title       : 'Choisissez votre région',
	description : 'Les données sont enregistrées séparément pour chaque région sélectionnée.<br>Vous pouvez jouer au jeu dans la langue de votre région sélectionnée.<br><br>Les données sont sauvegardées séparément pour chaque région et ne peuvent pas être transférées d\'une région à l\'autre.',
	subtitle	: 'Région sélectionnée: Français',
servers:{
	[codeArray[0]]:{
	name:'English'
	},
	[codeArray[1]]:{
	name:'Français'
	},
    [codeArray[2]]:{
    name:'Deutsche'
    }
},
	'popupTitle'		:'Choisissez votre région',
	'popupDescription'	:'Vous avez sélectionné \"{%s}\".<br>La langue sera changée.'
};

// de
langObj[[codeArray[2]]]={
	title       : 'Bitte wählen Sie Ihre Region',
	description : 'Daten werden für jede ausgewählte Region separat gespeichert.<br>Sie können das Spiel in der Sprache Ihrer Region spielen.<br><br>Daten werden für jede Region separat gespeichert und können nicht von einer Region in eine andere übertragen werden.',
	subtitle	: 'Ausgewählte Region: Deutsche',
servers:{
	[codeArray[0]]:{
	name:'English'
	},
	[codeArray[1]]:{
	name:'Français'
	},
    [codeArray[2]]:{
    name:'Deutsche'
    }
},
	'popupTitle'		:'Wähle deine Region',
	'popupDescription'	:'Sie haben \"{%s}\" ausgewählt.<br>Die Sprache ist geändert.'
};


var datas;//選択したデータが入る
function init(lang){
	var setting=langObj[lang];
	console.log(setting);
	//タイトルセット
	$('.title').html(setting['title']);
	//説明文セット
	$('.description').html(setting['description']);
	//選択中のサーバー表示セット
	$('.subtitle').html(setting['subtitle']);
	//ポップアップのタイトルセット
	$('.popup-title').html(setting['popupTitle']);
	//選択中のサーバー表示セット
	$('.list').empty();
	$.each(setting['servers'] ,function(lang_code,data){
		$('.list').append('<li><a href="#" data-code="'+lang_code+'" data-domain="'+domainObj[lang_code]+'" data-name="'+data.name+'">'+data.name+'</a></li>')
	});
	$('ul.list li a').off('click').on('click',function(){
		datas=$(this).data();
		$('.popup-description').html(setting['popupDescription'].replace(/{%s}/,datas.name));
		$('.popup-back').show();
		$('.popup-window').show();
	    return false;
	});
	$('.popup-window .button').off('click').on('click',function(){
		//アプリに渡す。
	    location.href='app-api://server_select,' + datas.code + ',' + datas.domain;
		console.log(datas);
	    return false;
	});	
}
